0.91 betas: VCRUNTIME140.dll is missing

Moderators: XnTriq, helmut, cday, xnview, Dreamer

Post Reply
HanVroon
Posts: 206
Joined: Thu Jan 28, 2010 7:30 am

0.91 betas: VCRUNTIME140.dll is missing

Post by HanVroon » Wed Jul 18, 2018 5:28 pm

Hi all,

After testing and using some 20 versions of XNViewMP, now when trying to test the 0.91 beta's I get the message that the program can't start because VCRUNTIME140.dll is missing.
I didn't know that XnViewMP relies on the Visual C++ redistributable at all.
It seems this dll belongs to the 2015 version of the redistributable.

Or is this a bug only appearing on my system, since the forum doesn't have any entries when I search for vcruntime140.dll?
I have the 2008 and 2010 x86 and x64 versions installed for other programs.

Regards,
Han

Nighted
Posts: 7
Joined: Mon Jun 11, 2007 3:07 pm

Re: 0.91 betas: VCRUNTIME140.dll is missing

Post by Nighted » Thu Jul 19, 2018 12:00 am

The 2015 installer has been deprecated by Microsoft Visual C++ 2017. You would need to install that one or find the DLL and drop it in your XnView program directory.
I'm a firm believer in the philosophy of a ruling class, especially since I rule.

User avatar
xnview
Author of XnView
Posts: 29744
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: 0.91 betas: VCRUNTIME140.dll is missing

Post by xnview » Thu Jul 19, 2018 8:22 am

which windows version do you have?
Pierre.

HanVroon
Posts: 206
Joined: Thu Jan 28, 2010 7:30 am

Re: 0.91 betas: VCRUNTIME140.dll is missing

Post by HanVroon » Thu Jul 19, 2018 10:52 am

Hi Pierre,

I mostly use Windows 7 Enterprise x64, on a laptop at the moment.

I now tested at work, Windows 10 Enterprise x64, and XnViewMP works without error message.
There are two 2008 and one 2013 C++ runtibe library versions installed there.
I searched for "vcruntime140.dll" on that Windows 10 desktop and found several instances, all in Office 365 structures, they are Runtime 2017 files.
So probably because those files are registered, XnViewMP can use them there.

I copied one of those, a x64 version of the dll, to the XnViewMP directory on the Windows 7 X64 laptop and XnVieMP started without error message.

So, first of all, did something change in the 0.91 version so that a newer runtime library is needed, like QT version or a plugin, or anything?
Then, should this runtime library be part of the XnViewMP distribution?
So far, I have never read that Visual C++ redistributabel version nnnn is a requisit for running XnViewMP, so I suppose that if it was needed, you but the dll in the distribution package? Like the msvcp120 and msvcr120 dll files that are already in the XnViewMP directory (from 2013 runtime lib).
So to make it short: are you responsible for providing the needed dll's in the distribution, or does a user need to make shure he has the needed Visual C++ Runtime library installed.

Best regards,
Han

User avatar
xnview
Author of XnView
Posts: 29744
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: 0.91 betas: VCRUNTIME140.dll is missing

Post by xnview » Thu Jul 19, 2018 12:07 pm

HanVroon wrote:
Thu Jul 19, 2018 10:52 am
So, first of all, did something change in the 0.91 version so that a newer runtime library is needed, like QT version or a plugin, or anything?
I think that the only changed dll is libwebp.dll, if you remove it?
Pierre.

User avatar
xnview
Author of XnView
Posts: 29744
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: 0.91 betas: VCRUNTIME140.dll is missing

Post by xnview » Thu Jul 19, 2018 12:55 pm

ok, QtAV has changed too, and the new ffmpeg library are built with VS 2017 :(
so you need 2013 AND 2017 dll
Pierre.

HanVroon
Posts: 206
Joined: Thu Jan 28, 2010 7:30 am

Re: 0.91 betas: VCRUNTIME140.dll is missing

Post by HanVroon » Thu Jul 19, 2018 3:10 pm

I tried on a test VM that has the 2008 runtime library installed (because of VMWare tools).
Uninstalled the 2008 runtime library, then rebooted.

Started XnViewMP (beta 3)
I had the VCRUNTIME140.dll in the program dir and got a message about another dll missing: api-ms-win-crt-runtime-l1-1-0.dll.
I had no idea how many messages about following missing dll's I would get, so...
I installed the 2017 Visual C++ 2017 Redistributable package and then I could start XnViewMP.
So maybe only the 2017 files are needed?

Post Reply